<template>
    <template if:true={invoiceList}>
        <lightning-card  >
            <fieldset class="slds-form-element slds-form-element_compound">
                <!-- <legend class="slds-form-element__legend slds-form-element__label">Location</legend> -->
                <div class="slds-form-element__control">
                    <div class="slds-form-element__row">
                        <div class="slds-size_1-of-4">
                            <div class="slds-form-element">
                                <label class="slds-form-element__label" for="input-01">SAP Order Number</label>
                                <div class="slds-form-element__control">
                                    <input type="text" id="input-01" class="slds-input" data-inputid="OrderID" onkeyup={handleChange}  />
                                </div>
                            </div>
                        </div>
                        <div class="slds-size_1-of-4">
                            <div class="slds-form-element">
                                <label class="slds-form-element__label" for="input-02">PO Number</label>
                                <div class="slds-form-element__control">
                                    <input type="text" id="input-02" class="slds-input" data-inputid="purchaseOrderByCustomer" onkeyup={handleChange}  />
                                </div>
                            </div>
                        </div>
                        <div class="slds-size_1-of-4">
                            <div class="slds-form-element">
                                <label class="slds-form-element__label" for="input-03">Invoice Reference</label>
                                <div class="slds-form-element__control">
                                    <input type="text" id="input-03" class="slds-input" data-inputid="billingDocument" onkeyup={handleChange}  />
                                </div>
                            </div>
                        </div>
                        <div class="slds-size_1-of-4">
                            <div class="slds-form-element">
                                <label class="slds-form-element__label" for="input-04">Delivery number</label>
                                <div class="slds-form-element__control">
                                    <input type="text" id="input-04" class="slds-input" onkeyup={handleChange}  />
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <lightning-button variant="brand" label="Search" title="Search" onclick={handleSearch} class="slds-float_right slds-m-left_x-small" ></lightning-button>
            </fieldset>
            
        </lightning-card>
        
        <lightning-card >

            <template if:true={loaded}>
                <div class="slds-m-around_medium">
                    <template if:true={showDataOrNot}>
                        <div style="height: 150px;">
                            <lightning-datatable key-field="id" data={invoiceList} columns={columns} wrap-text-max-lines="2"
                                column-widths-mode="auto">
                            </lightning-datatable>
                        </div>
                        <lightning-button variant="brand" label="Next" title="Successful action" onclick={handleNext} class="slds-float_right slds-m-left_x-small"></lightning-button>
                    </template>
                    <template if:true={error}>
                        {error}
                    </template>
                </div>
            </template>
            
            <template if:false={loaded}>
                <lightning-spinner alternative-text="Loading"></lightning-spinner>
            </template>
            
        </lightning-card>

    </template>

</template>